com.r3corda.contracts / InterestRateSwap / FixedLeg

# FixedLeg

`class FixedLeg : CommonLeg`

### Constructors

<init> | `FixedLeg(fixedRatePayer: Party, notional: Amount<Currency>, paymentFrequency: Frequency, effectiveDate: LocalDate, effectiveDateAdjustment: DateRollConvention?, terminationDate: LocalDate, terminationDateAdjustment: DateRollConvention?, dayCountBasisDay: DayCountBasisDay, dayCountBasisYear: DayCountBasisYear, dayInMonth: Int, paymentRule: PaymentRule, paymentDelay: Int, paymentCalendar: BusinessCalendar, interestPeriodAdjustment: AccrualAdjustment, fixedRate: FixedRate, rollConvention: DateRollConvention)`

### Properties

fixedRate | `var fixedRate: FixedRate`
fixedRatePayer | `var fixedRatePayer: Party`
rollConvention | `var rollConvention: DateRollConvention`

### Inherited Properties

dayCountBasisDay | `val dayCountBasisDay: DayCountBasisDay`
dayCountBasisYear | `val dayCountBasisYear: DayCountBasisYear`
dayInMonth | `val dayInMonth: Int`
effectiveDate | `val effectiveDate: LocalDate`
effectiveDateAdjustment | `val effectiveDateAdjustment: DateRollConvention?`
interestPeriodAdjustment | `val interestPeriodAdjustment: AccrualAdjustment`
notional | `val notional: Amount<Currency>`
paymentCalendar | `val paymentCalendar: BusinessCalendar`
paymentDelay | `val paymentDelay: Int`
paymentFrequency | `val paymentFrequency: Frequency`
paymentRule | `val paymentRule: PaymentRule`
terminationDate | `val terminationDate: LocalDate`
terminationDateAdjustment | `val terminationDateAdjustment: DateRollConvention?`

### Functions

copy | `fun copy(fixedRatePayer: Party = this.fixedRatePayer, notional: Amount<Currency> = this.notional, paymentFrequency: Frequency = this.paymentFrequency, effectiveDate: LocalDate = this.effectiveDate, effectiveDateAdjustment: DateRollConvention? = this.effectiveDateAdjustment, terminationDate: LocalDate = this.terminationDate, terminationDateAdjustment: DateRollConvention? = this.terminationDateAdjustment, dayCountBasisDay: DayCountBasisDay = this.dayCountBasisDay, dayCountBasisYear: DayCountBasisYear = this.dayCountBasisYear, dayInMonth: Int = this.dayInMonth, paymentRule: PaymentRule = this.paymentRule, paymentDelay: Int = this.paymentDelay, paymentCalendar: BusinessCalendar = this.paymentCalendar, interestPeriodAdjustment: AccrualAdjustment = this.interestPeriodAdjustment, fixedRate: FixedRate = this.fixedRate): FixedLeg`
equals | `open fun equals(other: Any?): Boolean`
hashCode | `open fun hashCode(): Int`
toString | `open fun toString(): String`